services:
    _defaults:
        public: true # should not be public

    Claroline\AuthenticationBundle\Manager\OauthManager:
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@Claroline\AppBundle\Manager\CacheManager'
            - '@Claroline\CoreBundle\Library\Configuration\PlatformConfigurationHandler'
            - '@security.token_storage'
            - '@Claroline\AuthenticationBundle\Security\Authentication\Authenticator'
        tags:
            - { name: kernel.event_listener, event: refresh_cache, method: refreshCache } # TODO : create a listener for that

    Claroline\AuthenticationBundle\Manager\MailManager:
        arguments:
            - '@translator'
            - '@router'
            - '@Claroline\AppBundle\Event\StrictDispatcher'
            - '@Claroline\CoreBundle\Library\Configuration\PlatformConfigurationHandler'
            - '@Claroline\CoreBundle\Manager\MailManager'
            - '@Claroline\CoreBundle\Manager\LocaleManager'
            - '@Claroline\CoreBundle\Manager\Template\TemplateManager'
            - '@Claroline\CoreBundle\Manager\UserManager'

    Claroline\AuthenticationBundle\Manager\AuthenticationManager:
        arguments:
            - '@Claroline\AppBundle\Persistence\ObjectManager'
